Summary: Utilities for managing shadow password files and user/group accounts.
Name: shadow-utils
Version: 20000902
Release: 1.3.0
Source0: ftp://ftp.ists.pwr.wroc.pl/pub/linux/shadow/shadow-%{version}.tar.gz
Source1: shadow-GD.login.defs
Source2: shadow-970616.useradd
Patch0: shadow-19990827-redhat.patch
Patch1: shadow-20000902-useradd.patch
Patch2: shadow-20000902-docfix.patch
Patch3: shadow-20000902-home711-gd.diff
Copyright: BSD
Group: System Environment/Base
Buildroot: %{_tmppath}/shadow-root
Obsoletes: adduser

%description
The shadow-utils package includes the necessary programs for
converting UNIX password files to the shadow password format, plus
programs for managing user and group accounts.  The pwconv command
converts passwords to the shadow password format.  The pwunconv command
unconverts shadow passwords and generates an npasswd file (a standard
UNIX password file).  The pwck command checks the integrity of
password and shadow files.  The lastlog command prints out the last
login times for all users.  The useradd, userdel and usermod commands
are used for managing user accounts.  The groupadd, groupdel and
groupmod commands are used for managing group accounts.

%prep
%setup -q -n shadow-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .home711

%build
unset LINGUAS || :
libtoolize --copy --force
aclocal
automake
autoheader
autoconf
rm -rf build-$RPM_ARCH ; mkdir build-$RPM_ARCH ; cd build-$RPM_ARCH
CFLAGS="$RPM_OPT_FLAGS" ../configure --prefix=/usr \
	--disable-desrpc --with-libcrypt --disable-shared \
	--mandir=$RPM_BUILD_ROOT/%{_mandir} \
	--infodir=$RPM_BUILD_ROOT%{_infodir}
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/default
cd build-$RPM_ARCH
make install prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT
install -d -m 750 $RPM_BUILD_ROOT/etc/default
install -c -m 0640 %{SOURCE1} $RPM_BUILD_ROOT/etc/login.defs
install -c -m 0750 %{SOURCE1} $RPM_BUILD_ROOT/etc/default/useradd

pushd  $RPM_BUILD_ROOT ; {
  ln -s useradd ./usr/sbin/adduser
  ln -s useradd.8.gz .%{_mandir}/man8/adduser.8.gz
  ln -s pwconv.8.gz .%{_mandir}/man8/pwunconv.8.gz
  ln -s pwconv.8.gz .%{_mandir}/man8/grpconv.8.gz
  ln -s pwconv.8.gz .%{_mandir}/man8/grpunconv.8.gz
  perl -pi -e "s/encrpted/encrypted/g" .%{_mandir}/man8/newusers.8
} ; popd

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf build-$RPM_ARCH

%files
%defattr(-,root,root)
%doc doc/ANNOUNCE doc/CHANGES doc/HOWTO
%doc doc/LICENSE doc/README doc/README.linux
%dir /etc/default
%attr(0640,root,admin)	%config /etc/login.defs
%attr(0600,root,admin)	%config /etc/default/useradd
%attr(0750,root,admin)	/usr/bin/chage
%attr(0750,root,admin)	/usr/bin/gpasswd
%attr(0750,root,root)	/usr/sbin/adduser
%attr(0750,root,root)	/usr/sbin/user*
%attr(0750,root,root)	/usr/sbin/group*
%attr(0750,root,root)	/usr/sbin/grpck
%attr(0750,root,root)	/usr/sbin/pwck
%attr(0750,root,root)	/usr/sbin/*conv
%attr(0750,root,root)	/usr/sbin/chpasswd
%attr(0750,root,root)	/usr/sbin/newusers
%attr(0750,root,root)	/usr/bin/sg
%attr(0750,root,root)	/usr/bin/faillog
%attr(0750,root,root)	/usr/bin/lastlog
%doc %{_mandir}/man1/*
%doc %{_mandir}/man3/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*
/usr/share/locale/*/*/shadow.mo

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Oct 23 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 20000902, Release 1.1.3
  - removed "serial" tag use

* Tue Oct 02 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 20000902, Release 1.1.2
  - bumped up the serial number from 1 to 2

* Mon Aug 13 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 20000902, Release 1.1.1
  - added patch to chmod 711 user home dir

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 20000902, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Tue Feb 13 2001 Pete O'Hara <pete@guardiandigital.com>
- removed passwd.1, su.1, login.1, vipw.8 so this pkg
	doesn't collide with other rpms

* Fri Dec 29 2000 Pete O'Hara <pete@guardiandigital.com>
- added patch for creation of tmp file that doesn't
	use PID as suffix in useradd.c 

* Fri Dec 08 2000 Pete O'Hara <pete@guardiandigital.com>
- removed chsh and chfn

* Tue Nov 21 2000 Pete O'Hara <pete@guardiandigital.com>
- disable passwd aging 

* Mon Nov 20 2000 Dave Wreski <dave@guardiandigital.com>
- upgrade to 20000902
- FHS fixes

* Wed May 31 2000 Pete O'Hara <pete@guardiandigital.com>
- removed suid bit and world access on chage and gpasswd
- removed world access /usr/sbin and /usr/bin binaries
- added 8 character passwords required and 30 day aging
	for Guardian Digital Linux Lockbox
- initial version

